fr.enssat.BoulderDash.controllers

## Class BoulderAndDiamondController

- java.lang.Object
- - fr.enssat.BoulderDash.controllers.BoulderAndDiamondController

- All Implemented Interfaces:
    java.lang.Runnable

      public class BoulderAndDiamondController
      extends java.lang.Object
      implements java.lang.Runnable

  ElementPositionUpdateHelper Updates position of all elements displayed on the map, according to their next potential position. Each object has a weight, which is used to compare their power to destroy in the food chain. Sorry for that Darwinism.
  Since:
    2015-06-19
  Author:
    Colin Leverger

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoulderAndDiamondController(LevelModel levelModel, AudioLoadHelper audioLoadHelper)` Class constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()` Watches for elements to be moved

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoulderAndDiamondController

          public BoulderAndDiamondController(LevelModel levelModel,
                                     AudioLoadHelper audioLoadHelper)

      Class constructor
      Parameters:
        `levelModel` - Level model

  - ### Method Detail

    - #### run

          public void run()

      Watches for elements to be moved
      Specified by:
        `run` in interface `java.lang.Runnable`